
Foreman - Bug #1786

Incorrect VCPU count in Virtual Machine properties

07/27/2012 10:36 AM - Andy Taylor

Status: Closed   

Priority: Normal   

Assignee: Romain Vrignaud   

Category: Compute resources   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Using Foreman 1.0, if you create a VM via a libvirtd compute resource and set VCPU to higher than 1, the VCPU under the Virtual

Machine tab incorrectly shows 1 VCPU. For example, if you create a VM with 4 VCPUs, Foreman creates the VM correctly, but

VCPU only shows 1.

History

#1 - 07/27/2012 10:40 AM - Andy Taylor

Additional note: when I say Foreman creates the VM correctly, I mean it creates the VM with the right amount of VCPUs.

#2 - 09/18/2012 08:50 AM - Romain Vrignaud

- Category set to Compute resources

- Target version set to 1.1

Still present on 1.0.1

#3 - 11/13/2012 12:09 PM - Greg Sutcliffe

- Target version changed from 1.1 to Bug scrub

#4 - 11/13/2012 01:30 PM - Joshua Hoblitt

Present in foreman-1.0.1-1.el6.noarch

#5 - 11/15/2012 02:37 AM - Romain Vrignaud

- Assignee set to Romain Vrignaud

#6 - 11/15/2012 05:20 AM - Romain Vrignaud

- Status changed from New to Closed

This was an upstream (fog) bug.

It should be fixed with https://github.com/fog/fog/pull/1279 .

This will need fog 1.8 to be fixed

#7 - 11/15/2012 05:21 AM - Romain Vrignaud

- Target version changed from Bug scrub to 1.1
